%define ver_major 0.6
%define _name bse
%define pcm_device /dev/dsp
%define midi_device /dev/midi0

Name: beast
Version: %ver_major.2
Release: alt0.5

Summary: BEAST/BSE - the bedevilled audio system and the bedevilled sound engine.
Summary(ru_RU.KOI8-R):	BEAST/BSE -      .
License: GPL/LGPL
Group: Sound
Url: http://%name.gtk.org

Source: ftp://%name.gtk.org/pub/%name/v%ver_major/%name-%version.tar.gz

%define gtk_ver 2.4
%define mad_ver 0.14.2b-alt5

Requires: lib%_name = %version-%release
Requires: libgtk+2 >= %gtk_ver

BuildPreReq: menu-devel
BuildPreReq: kernel-headers-std

BuildPreReq: dev
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libmad-devel >= %mad_ver

# Automatically added by buildreq on Thu Jul 08 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel guile16-devel libart_lgpl-devel libatk-devel libgnomecanvas-devel libgtk+2-devel libmad-devel libncurses-devel libogg-devel libpango-devel libstdc++-devel libtinfo-devel libvorbis-devel perl-XML-Parser pkgconfig zlib-devel

%description
BEAST (the Bedevilled Audio System) is a GTK+/GNOME based front-end 
to BSE (the Bedevilled Sound Engine). BSE is a shared library that 
comes with the necessary framework to simulate audio synthesis 
(modular synthesis) in realtime and allow for song composition.

%description -l ru_RU.KOI8-R
BEAST (the Bedevilled Audio System) --    GTK+/GNOME 
   BSE (the Bedevilled Sound Engine). BSE --  
 ,    () 
    .

%package -n lib%_name
Summary: Shared libraries for %name
Summary(ru_RU.KOI8-R):    BEAST
Group: System/Libraries

%description -n lib%_name
BEAST (the Bedevilled Audio System) is a GTK+/GNOME based front-end 
to BSE (the Bedevilled Sound Engine). BSE is a shared library that 
comes with the necessary framework to simulate audio synthesis 
(modular synthesis) in realtime and allow for song composition.

This package contains shared libraries needed to BEAST.

%description -l ru_RU.KOI8-R -n lib%_name
BEAST (the Bedevilled Audio System) --    GTK+/GNOME 
   BSE (the Bedevilled Sound Engine). BSE --  
 ,    () 
    .

    ,    BEAST.

%package -n lib%_name-devel
Summary: Development files for lib%_name
Summary(ru_RU.KOI8-R):    lib%_name
Group: Development/C
Requires: lib%_name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnomecanvas-devel

%description -n lib%_name-devel
BSE is a shared library that comes with the necessary framework to
simulate audio synthesis  (modular synthesis) in realtime and allow for
song composition.

This package contains headers and development libraries for lib%_name.

%description -l ru_RU.KOI8-R -n lib%_name-devel
BEAST (the Bedevilled Audio System) --    GTK+/GNOME 
   BSE (the Bedevilled Sound Engine). BSE --  
 ,    () 
    .

   ,    
 BSE.

%prep
%setup -q

%build
%configure --disable-static \
    --enable-osspcm=%pcm_device \
    --enable-ossmidi=%midi_device

%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/Sound" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/bse/v%version/plugins/*.la

%find_lang --with-gnome --output=%name.lang %name-v%version %_name-v%version

%post
%update_menus
%postun
%clean_menus

%post -n lib%_name -p %post_ldconfig
%postun -n lib%_name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_libdir/%_name/
%dir %_libdir/%_name/v%version
%dir %_libdir/%_name/v%version/plugins
%_libdir/%_name/v%version/plugins/*.so
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/%name
%_datadir/%_name
%_datadir/pixmaps/*
%_datadir/mime-info/*
%_menudir/*
%_man1dir/*
%doc AUTHORS COPYING ChangeLog NEWS README TODO 

%files -n lib%_name
%_libdir/*.so.*

%files -n lib%_name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_man3dir/*
%doc docs/*.txt

%changelog
* Thu Jul 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt0.5
- 0.6.2

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.5
- 0.6.1

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- 0.6.0

* Mon Dec 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.6-alt0.7
- 0.5.6

* Thu Dec 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.5-alt0.7
- do not package .la files.

* Wed Oct 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.5-alt0.6
- fix %%install

* Tue Oct 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.5-alt0.5
- 0.5.5

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.4-alt0.6
- fixed build with hasher.

* Tue Jul 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.4-alt0.5
- new version.

* Wed Jun 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt0.5
- new version.

* Sun Jun 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt0.5
- new version.
- menus and icon.
- summary, descriptions by avp.

* Wed Apr 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- First build for Sisyphus.


